#pragma once
#include "dx_pipeline_loader.h"
#include "core/pipeline/segment_pipeline.h"

class dx_segment_pipeline : public segment_pipeline {
public:
    bool init() override;
    void use() override;
    void draw(uint32_t in_index_count) override;
private:
    dx_pipeline_loader loader;
};
